﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Presentacion.ServicioPrueba3 {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Empleado", Namespace="http://schemas.datacontract.org/2004/07/Persistencia.app.dao.entity")]
    [System.SerializableAttribute()]
    public partial class Empleado : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string Apellido_matField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string Apellido_patField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime Fecha_nacField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombresField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int RemuneracionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string RutField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int TelefonoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private Presentacion.ServicioPrueba3.TipoEmpleado Tipo_empleadoField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Apellido_mat {
            get {
                return this.Apellido_matField;
            }
            set {
                if ((object.ReferenceEquals(this.Apellido_matField, value) != true)) {
                    this.Apellido_matField = value;
                    this.RaisePropertyChanged("Apellido_mat");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Apellido_pat {
            get {
                return this.Apellido_patField;
            }
            set {
                if ((object.ReferenceEquals(this.Apellido_patField, value) != true)) {
                    this.Apellido_patField = value;
                    this.RaisePropertyChanged("Apellido_pat");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.DateTime Fecha_nac {
            get {
                return this.Fecha_nacField;
            }
            set {
                if ((this.Fecha_nacField.Equals(value) != true)) {
                    this.Fecha_nacField = value;
                    this.RaisePropertyChanged("Fecha_nac");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Nombres {
            get {
                return this.NombresField;
            }
            set {
                if ((object.ReferenceEquals(this.NombresField, value) != true)) {
                    this.NombresField = value;
                    this.RaisePropertyChanged("Nombres");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Remuneracion {
            get {
                return this.RemuneracionField;
            }
            set {
                if ((this.RemuneracionField.Equals(value) != true)) {
                    this.RemuneracionField = value;
                    this.RaisePropertyChanged("Remuneracion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Rut {
            get {
                return this.RutField;
            }
            set {
                if ((object.ReferenceEquals(this.RutField, value) != true)) {
                    this.RutField = value;
                    this.RaisePropertyChanged("Rut");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Telefono {
            get {
                return this.TelefonoField;
            }
            set {
                if ((this.TelefonoField.Equals(value) != true)) {
                    this.TelefonoField = value;
                    this.RaisePropertyChanged("Telefono");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public Presentacion.ServicioPrueba3.TipoEmpleado Tipo_empleado {
            get {
                return this.Tipo_empleadoField;
            }
            set {
                if ((object.ReferenceEquals(this.Tipo_empleadoField, value) != true)) {
                    this.Tipo_empleadoField = value;
                    this.RaisePropertyChanged("Tipo_empleado");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="TipoEmpleado", Namespace="http://schemas.datacontract.org/2004/07/Persistencia.app.dao.entity")]
    [System.SerializableAttribute()]
    public partial class TipoEmpleado : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int CodigoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombreField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Codigo {
            get {
                return this.CodigoField;
            }
            set {
                if ((this.CodigoField.Equals(value) != true)) {
                    this.CodigoField = value;
                    this.RaisePropertyChanged("Codigo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Nombre {
            get {
                return this.NombreField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreField, value) != true)) {
                    this.NombreField = value;
                    this.RaisePropertyChanged("Nombre");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Mensaje", Namespace="http://schemas.datacontract.org/2004/07/Persistencia.app.dao.entity")]
    [System.SerializableAttribute()]
    public partial class Mensaje : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MensajeErrorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool TransaccionOkField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MensajeError {
            get {
                return this.MensajeErrorField;
            }
            set {
                if ((object.ReferenceEquals(this.MensajeErrorField, value) != true)) {
                    this.MensajeErrorField = value;
                    this.RaisePropertyChanged("MensajeError");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool TransaccionOk {
            get {
                return this.TransaccionOkField;
            }
            set {
                if ((this.TransaccionOkField.Equals(value) != true)) {
                    this.TransaccionOkField = value;
                    this.RaisePropertyChanged("TransaccionOk");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Usuario", Namespace="http://schemas.datacontract.org/2004/07/Persistencia.app.dao.entity")]
    [System.SerializableAttribute()]
    public partial class Usuario : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ApellidosField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombresField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string PasswordField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string Perfil1Field;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string UsernameField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Apellidos {
            get {
                return this.ApellidosField;
            }
            set {
                if ((object.ReferenceEquals(this.ApellidosField, value) != true)) {
                    this.ApellidosField = value;
                    this.RaisePropertyChanged("Apellidos");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Nombres {
            get {
                return this.NombresField;
            }
            set {
                if ((object.ReferenceEquals(this.NombresField, value) != true)) {
                    this.NombresField = value;
                    this.RaisePropertyChanged("Nombres");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Password {
            get {
                return this.PasswordField;
            }
            set {
                if ((object.ReferenceEquals(this.PasswordField, value) != true)) {
                    this.PasswordField = value;
                    this.RaisePropertyChanged("Password");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Perfil1 {
            get {
                return this.Perfil1Field;
            }
            set {
                if ((object.ReferenceEquals(this.Perfil1Field, value) != true)) {
                    this.Perfil1Field = value;
                    this.RaisePropertyChanged("Perfil1");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Username {
            get {
                return this.UsernameField;
            }
            set {
                if ((object.ReferenceEquals(this.UsernameField, value) != true)) {
                    this.UsernameField = value;
                    this.RaisePropertyChanged("Username");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="MensajeValidacionUsuario", Namespace="http://schemas.datacontract.org/2004/07/Persistencia.app.dao.entity")]
    [System.SerializableAttribute()]
    public partial class MensajeValidacionUsuario : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private Presentacion.ServicioPrueba3.Mensaje MensajeField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private Presentacion.ServicioPrueba3.Usuario UsuarioField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public Presentacion.ServicioPrueba3.Mensaje Mensaje {
            get {
                return this.MensajeField;
            }
            set {
                if ((object.ReferenceEquals(this.MensajeField, value) != true)) {
                    this.MensajeField = value;
                    this.RaisePropertyChanged("Mensaje");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public Presentacion.ServicioPrueba3.Usuario Usuario {
            get {
                return this.UsuarioField;
            }
            set {
                if ((object.ReferenceEquals(this.UsuarioField, value) != true)) {
                    this.UsuarioField = value;
                    this.RaisePropertyChanged("Usuario");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="ServicioPrueba3.IService1")]
    public interface IService1 {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/CrearEmpleado", ReplyAction="http://tempuri.org/IService1/CrearEmpleadoResponse")]
        Presentacion.ServicioPrueba3.Mensaje CrearEmpleado(Presentacion.ServicioPrueba3.Empleado empleado);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/CrearEmpleado", ReplyAction="http://tempuri.org/IService1/CrearEmpleadoResponse")]
        System.Threading.Tasks.Task<Presentacion.ServicioPrueba3.Mensaje> CrearEmpleadoAsync(Presentacion.ServicioPrueba3.Empleado empleado);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/ActualizarEmpleado", ReplyAction="http://tempuri.org/IService1/ActualizarEmpleadoResponse")]
        bool ActualizarEmpleado(Presentacion.ServicioPrueba3.Empleado empleado);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/ActualizarEmpleado", ReplyAction="http://tempuri.org/IService1/ActualizarEmpleadoResponse")]
        System.Threading.Tasks.Task<bool> ActualizarEmpleadoAsync(Presentacion.ServicioPrueba3.Empleado empleado);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/BorrarEmpleado", ReplyAction="http://tempuri.org/IService1/BorrarEmpleadoResponse")]
        bool BorrarEmpleado(Presentacion.ServicioPrueba3.Empleado empleado);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/BorrarEmpleado", ReplyAction="http://tempuri.org/IService1/BorrarEmpleadoResponse")]
        System.Threading.Tasks.Task<bool> BorrarEmpleadoAsync(Presentacion.ServicioPrueba3.Empleado empleado);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/ListarTodosLosEmpleados", ReplyAction="http://tempuri.org/IService1/ListarTodosLosEmpleadosResponse")]
        Presentacion.ServicioPrueba3.Empleado[] ListarTodosLosEmpleados();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/ListarTodosLosEmpleados", ReplyAction="http://tempuri.org/IService1/ListarTodosLosEmpleadosResponse")]
        System.Threading.Tasks.Task<Presentacion.ServicioPrueba3.Empleado[]> ListarTodosLosEmpleadosAsync();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/CrearUsuario", ReplyAction="http://tempuri.org/IService1/CrearUsuarioResponse")]
        bool CrearUsuario(Presentacion.ServicioPrueba3.Usuario usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/CrearUsuario", ReplyAction="http://tempuri.org/IService1/CrearUsuarioResponse")]
        System.Threading.Tasks.Task<bool> CrearUsuarioAsync(Presentacion.ServicioPrueba3.Usuario usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/ActualizarUsuario", ReplyAction="http://tempuri.org/IService1/ActualizarUsuarioResponse")]
        bool ActualizarUsuario(Presentacion.ServicioPrueba3.Usuario usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/ActualizarUsuario", ReplyAction="http://tempuri.org/IService1/ActualizarUsuarioResponse")]
        System.Threading.Tasks.Task<bool> ActualizarUsuarioAsync(Presentacion.ServicioPrueba3.Usuario usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/BorrarUsuario", ReplyAction="http://tempuri.org/IService1/BorrarUsuarioResponse")]
        bool BorrarUsuario(Presentacion.ServicioPrueba3.Usuario usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/BorrarUsuario", ReplyAction="http://tempuri.org/IService1/BorrarUsuarioResponse")]
        System.Threading.Tasks.Task<bool> BorrarUsuarioAsync(Presentacion.ServicioPrueba3.Usuario usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/ListarTodosLosUsuario", ReplyAction="http://tempuri.org/IService1/ListarTodosLosUsuarioResponse")]
        Presentacion.ServicioPrueba3.Usuario[] ListarTodosLosUsuario();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/ListarTodosLosUsuario", ReplyAction="http://tempuri.org/IService1/ListarTodosLosUsuarioResponse")]
        System.Threading.Tasks.Task<Presentacion.ServicioPrueba3.Usuario[]> ListarTodosLosUsuarioAsync();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/validacion", ReplyAction="http://tempuri.org/IService1/validacionResponse")]
        Presentacion.ServicioPrueba3.MensajeValidacionUsuario validacion(string usuario, string contrasena);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/validacion", ReplyAction="http://tempuri.org/IService1/validacionResponse")]
        System.Threading.Tasks.Task<Presentacion.ServicioPrueba3.MensajeValidacionUsuario> validacionAsync(string usuario, string contrasena);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/CrearTipoEmpleado", ReplyAction="http://tempuri.org/IService1/CrearTipoEmpleadoResponse")]
        bool CrearTipoEmpleado(Presentacion.ServicioPrueba3.TipoEmpleado tipoEmpleado);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/CrearTipoEmpleado", ReplyAction="http://tempuri.org/IService1/CrearTipoEmpleadoResponse")]
        System.Threading.Tasks.Task<bool> CrearTipoEmpleadoAsync(Presentacion.ServicioPrueba3.TipoEmpleado tipoEmpleado);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/ActualizarTipoEmpleado", ReplyAction="http://tempuri.org/IService1/ActualizarTipoEmpleadoResponse")]
        bool ActualizarTipoEmpleado(Presentacion.ServicioPrueba3.TipoEmpleado tipoEmpleado);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/ActualizarTipoEmpleado", ReplyAction="http://tempuri.org/IService1/ActualizarTipoEmpleadoResponse")]
        System.Threading.Tasks.Task<bool> ActualizarTipoEmpleadoAsync(Presentacion.ServicioPrueba3.TipoEmpleado tipoEmpleado);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/BorrarTipoEmpleado", ReplyAction="http://tempuri.org/IService1/BorrarTipoEmpleadoResponse")]
        bool BorrarTipoEmpleado(Presentacion.ServicioPrueba3.TipoEmpleado tipoEmpleado);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/BorrarTipoEmpleado", ReplyAction="http://tempuri.org/IService1/BorrarTipoEmpleadoResponse")]
        System.Threading.Tasks.Task<bool> BorrarTipoEmpleadoAsync(Presentacion.ServicioPrueba3.TipoEmpleado tipoEmpleado);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/ListarTodosLosTipoEmpleado", ReplyAction="http://tempuri.org/IService1/ListarTodosLosTipoEmpleadoResponse")]
        Presentacion.ServicioPrueba3.TipoEmpleado[] ListarTodosLosTipoEmpleado();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/ListarTodosLosTipoEmpleado", ReplyAction="http://tempuri.org/IService1/ListarTodosLosTipoEmpleadoResponse")]
        System.Threading.Tasks.Task<Presentacion.ServicioPrueba3.TipoEmpleado[]> ListarTodosLosTipoEmpleadoAsync();
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IService1Channel : Presentacion.ServicioPrueba3.IService1, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class Service1Client : System.ServiceModel.ClientBase<Presentacion.ServicioPrueba3.IService1>, Presentacion.ServicioPrueba3.IService1 {
        
        public Service1Client() {
        }
        
        public Service1Client(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public Service1Client(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public Service1Client(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public Service1Client(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public Presentacion.ServicioPrueba3.Mensaje CrearEmpleado(Presentacion.ServicioPrueba3.Empleado empleado) {
            return base.Channel.CrearEmpleado(empleado);
        }
        
        public System.Threading.Tasks.Task<Presentacion.ServicioPrueba3.Mensaje> CrearEmpleadoAsync(Presentacion.ServicioPrueba3.Empleado empleado) {
            return base.Channel.CrearEmpleadoAsync(empleado);
        }
        
        public bool ActualizarEmpleado(Presentacion.ServicioPrueba3.Empleado empleado) {
            return base.Channel.ActualizarEmpleado(empleado);
        }
        
        public System.Threading.Tasks.Task<bool> ActualizarEmpleadoAsync(Presentacion.ServicioPrueba3.Empleado empleado) {
            return base.Channel.ActualizarEmpleadoAsync(empleado);
        }
        
        public bool BorrarEmpleado(Presentacion.ServicioPrueba3.Empleado empleado) {
            return base.Channel.BorrarEmpleado(empleado);
        }
        
        public System.Threading.Tasks.Task<bool> BorrarEmpleadoAsync(Presentacion.ServicioPrueba3.Empleado empleado) {
            return base.Channel.BorrarEmpleadoAsync(empleado);
        }
        
        public Presentacion.ServicioPrueba3.Empleado[] ListarTodosLosEmpleados() {
            return base.Channel.ListarTodosLosEmpleados();
        }
        
        public System.Threading.Tasks.Task<Presentacion.ServicioPrueba3.Empleado[]> ListarTodosLosEmpleadosAsync() {
            return base.Channel.ListarTodosLosEmpleadosAsync();
        }
        
        public bool CrearUsuario(Presentacion.ServicioPrueba3.Usuario usuario) {
            return base.Channel.CrearUsuario(usuario);
        }
        
        public System.Threading.Tasks.Task<bool> CrearUsuarioAsync(Presentacion.ServicioPrueba3.Usuario usuario) {
            return base.Channel.CrearUsuarioAsync(usuario);
        }
        
        public bool ActualizarUsuario(Presentacion.ServicioPrueba3.Usuario usuario) {
            return base.Channel.ActualizarUsuario(usuario);
        }
        
        public System.Threading.Tasks.Task<bool> ActualizarUsuarioAsync(Presentacion.ServicioPrueba3.Usuario usuario) {
            return base.Channel.ActualizarUsuarioAsync(usuario);
        }
        
        public bool BorrarUsuario(Presentacion.ServicioPrueba3.Usuario usuario) {
            return base.Channel.BorrarUsuario(usuario);
        }
        
        public System.Threading.Tasks.Task<bool> BorrarUsuarioAsync(Presentacion.ServicioPrueba3.Usuario usuario) {
            return base.Channel.BorrarUsuarioAsync(usuario);
        }
        
        public Presentacion.ServicioPrueba3.Usuario[] ListarTodosLosUsuario() {
            return base.Channel.ListarTodosLosUsuario();
        }
        
        public System.Threading.Tasks.Task<Presentacion.ServicioPrueba3.Usuario[]> ListarTodosLosUsuarioAsync() {
            return base.Channel.ListarTodosLosUsuarioAsync();
        }
        
        public Presentacion.ServicioPrueba3.MensajeValidacionUsuario validacion(string usuario, string contrasena) {
            return base.Channel.validacion(usuario, contrasena);
        }
        
        public System.Threading.Tasks.Task<Presentacion.ServicioPrueba3.MensajeValidacionUsuario> validacionAsync(string usuario, string contrasena) {
            return base.Channel.validacionAsync(usuario, contrasena);
        }
        
        public bool CrearTipoEmpleado(Presentacion.ServicioPrueba3.TipoEmpleado tipoEmpleado) {
            return base.Channel.CrearTipoEmpleado(tipoEmpleado);
        }
        
        public System.Threading.Tasks.Task<bool> CrearTipoEmpleadoAsync(Presentacion.ServicioPrueba3.TipoEmpleado tipoEmpleado) {
            return base.Channel.CrearTipoEmpleadoAsync(tipoEmpleado);
        }
        
        public bool ActualizarTipoEmpleado(Presentacion.ServicioPrueba3.TipoEmpleado tipoEmpleado) {
            return base.Channel.ActualizarTipoEmpleado(tipoEmpleado);
        }
        
        public System.Threading.Tasks.Task<bool> ActualizarTipoEmpleadoAsync(Presentacion.ServicioPrueba3.TipoEmpleado tipoEmpleado) {
            return base.Channel.ActualizarTipoEmpleadoAsync(tipoEmpleado);
        }
        
        public bool BorrarTipoEmpleado(Presentacion.ServicioPrueba3.TipoEmpleado tipoEmpleado) {
            return base.Channel.BorrarTipoEmpleado(tipoEmpleado);
        }
        
        public System.Threading.Tasks.Task<bool> BorrarTipoEmpleadoAsync(Presentacion.ServicioPrueba3.TipoEmpleado tipoEmpleado) {
            return base.Channel.BorrarTipoEmpleadoAsync(tipoEmpleado);
        }
        
        public Presentacion.ServicioPrueba3.TipoEmpleado[] ListarTodosLosTipoEmpleado() {
            return base.Channel.ListarTodosLosTipoEmpleado();
        }
        
        public System.Threading.Tasks.Task<Presentacion.ServicioPrueba3.TipoEmpleado[]> ListarTodosLosTipoEmpleadoAsync() {
            return base.Channel.ListarTodosLosTipoEmpleadoAsync();
        }
    }
}
